Arduino

Reference Language | Libraries | Comparison | Changes

## while loops

#### Description

while loops will loop continuously, and infinitely, until the expression inside the parenthesis, () becomes false. Something must change the tested variable, or the while loop will never exit. This could be in your code, such as an incremented variable, or an external condition, such as testing a sensor.

#### Syntax

    while(expression){
      // statement(s)
    }

#### Parameters

expression - a (boolean) C statement that evaluates to true or false

#### Example

    var = 0;
    while(var < 200){
      // do something repetitive 200 times
      var++;
    }

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes